Subject: Re: cygwin 1.5.3: "/bin/mv dir dir" results in recursive-loop copy
From: Jim Meyering <[email-masked]>
To: Tony Clayton <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 14 Nov 2003 10:11:58 +0100

Tony Clayton <[email-masked]> wrote:
> in cygwin 1.5.3, I got the following error after a moment:
>     mv: cannot create directory `src/src/src/src/src/src/src [...] /src':
>     Invalid argument

mv (from any recent coreutils package)
works fine in that case on unix systems.

> I think it is the MAX_PATH=256 limitation that finally brings this to a
> halt.  Each of the subdirectories contains all the source files and a src
> directory.
>
> Running "mv --version shows:
>     mv (fileutils) 4.1
>     ...

fileutils-4.1 is quite old.
I suggest you use something newer

STABLE
  ftp://ftp.gnu.org/gnu/coreutils/coreutils-5.0.tar.gz
  ftp://ftp.gnu.org/gnu/coreutils/coreutils-5.0.tar.bz2
  (coreutils is the union of fileutils, textutils, and sh-utils)

BETA
  ftp://alpha.gnu.org/gnu/coreutils/coreutils-5.0.91.tar.gz
  ftp://alpha.gnu.org/gnu/coreutils/coreutils-5.0.91.tar.bz2

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/